Ruby RVM apt-get update error

已销号 发布于 2014/09/24 16:34
阅读 1K+
收藏 0
ubuntu14.04系统,运行rvm install 2.1.2出现错误:
Error running 'requirements_debian_update_system ruby-2.1.2',
showing last 15 lines of /home/hww/.rvm/log/1411546866_ruby-2.1.2/update_system.log
++ case "${TERM:-dumb}" in
++ case "$1" in
++ [[ -t 2 ]]
++ return 1
++ printf %b 'There has been error while updating '\''apt-get'\'', please give it some time and try again later.
For 404 errors check your sources configured in:
    /etc/apt/sources.list
    /etc/apt/sources.list.d/*.list
\n'
There has been error while updating 'apt-get', please give it some time and try again later.
For 404 errors check your sources configured in:
    /etc/apt/sources.list
    /etc/apt/sources.list.d/*.list

++ return 100
Requirements installation failed with status: 100.

在运行rvm install 2.1.2之前先运行

rvm autolibs disable

最后执行 rvm --default use ruby-2.1.2



加载中
返回顶部
顶部